# $Revision: 1.15 $, $Date: 2004/12/01 17:52:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	GMP
Summary:	Math::GMP Perl module - high speed arbitrary size integer math
Summary(pl):	Modu Perla Math::GMP - szybka arytmetyka liczb cakowitych o dowolnym rozmiarze
Name:		perl-Math-GMP
Version:	2.04
Release:	1
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	291e5847986c7591cd70c1788c979a98
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	gmp-devel
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::GMP gives you access to the fast GMP library for fast big
integer math.

%description -l pl
Math::GMP daje dostp do szybkiej biblioteki GMP dla szybkich
oblicze na duych liczbach cakowitych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%ifarch alpha amd64 ia64 ppc64 sparc64
# original reference values expect 32-bit long
%{__perl} -pi -e 's/^\+9999999999(9*):[0-9]+$/+9999999999$1:9999999999$1/' t/gmppm.t
%endif

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorarch}/Math/GMP.pm
%dir %{perl_vendorarch}/auto/Math/GMP
%{perl_vendorarch}/auto/Math/GMP/GMP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/GMP/GMP.so
%{perl_vendorarch}/auto/Math/GMP/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-GMP.spec,v $
Revision 1.15  2004/12/01 17:52:25  radek
- autoupdated to 2.04

Revision 1.14  2004/11/03 22:30:34  paladine
- formatting

Revision 1.13  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/09 22:10:23  qboosh
- hack test results on 64-bit archs; release 3

Revision 1.11  2004/05/06 18:20:39  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.9  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:41  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/05 21:29:42  qboosh
- new

